Bug 566408 - Review Request: proxytunnel - A tool to tunnel a connection through an standard HTTP(S) proxy
Summary: Review Request: proxytunnel - A tool to tunnel a connection through an standa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-18 12:26 UTC by Mykola Ulianytskyi
Modified: 2013-07-19 19:14 UTC (History)
4 users (show)

Fixed In Version: proxytunnel-1.9.0-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-24 21:10:49 UTC
martin.gieseking: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mykola Ulianytskyi 2010-02-18 12:26:48 UTC
Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/proxytunnel.spec
SRPM URL: http://repo.lystor.org.ua/fedora/12/SRPMS/proxytunnel-1.9.0-1.fc12.src.rpm

Description: 
ProxyTunnel is a program that connects stdin and stdout to a server somewhere
on the network, through a standard HTTPS proxy. We mostly use it to tunnel SSH
sessions through HTTP(S) proxies.
Proxytunnel can currently do the following:
    * Create tunnels using HTTP and HTTPS proxies (That understand the HTTP
      CONNECT command).
    * Work as a back-end driver for an OpenSSH client, and create SSH
      connections through HTTP(S) proxies.
    * Work as a stand-alone application, listening on a port for connections,
      and then tunneling these connections to a specified destination.

$ rpmlint {i386,x86_64,SRPMS}/proxytunnel*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

This package builds successfully by mock on i686/x86_64 architectures.

This is one from my first packages and I'm looking for a sponsor.

Comment 1 Mykola Ulianytskyi 2010-02-19 09:42:45 UTC
Builds successfully in mock on Fedora 11 with i386/x86_64 architectures.

Comment 2 Mykola Ulianytskyi 2010-02-19 12:52:59 UTC
Builds successfully in mock on Fedora 13 with i386/x86_64 architectures.

Comment 3 Mykola Ulianytskyi 2010-03-13 20:30:10 UTC
* Sat Mar 13 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.9.0-2
- Fix the summary
- Replace generally useful macros by regular commands
- Preserve timestamps of documentation files


Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/proxytunnel.spec
SRPM URL: http://repo.lystor.org.ua/fedora/12/SRPMS/proxytunnel-1.9.0-2.fc12.src.rpm


The srpm builds successfully by the mock on Fedora 11, 12, 13 with i386/x86_64
architectures.

The rpmlint output is clean.

Comment 4 Martin Gieseking 2010-04-06 17:38:23 UTC
Hi Nikolay,

the package seems to be fine. However, the license tag is not correct. According to the source file headers, three different (compatible) licenses are involved:
- BSD (3 clause variant)
- MIT (Old Style with legal disclaimer 2)
- GPLv2+

Thus, change the License field to: GPLv2+ and BSD and MIT.

Comment 5 Mykola Ulianytskyi 2010-04-07 11:40:07 UTC
Hi Martin
Thank you for your comments.

Spec diff:
@@ -1,9 +1,9 @@
 Name:           proxytunnel
 Version:        1.9.0
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Tool to tunnel a connection through an standard HTTP(S) proxy
 Group:          Applications/Internet
-License:        GPLv2
+License:        GPLv2+ and BSD and MIT
 URL:            http://proxytunnel.sourceforge.net/
 Source0:        http://downloads.sourceforge.net/proxytunnel/proxytunnel-%{version}.tgz
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -59,6 +59,9 @@


 %changelog
+* Wed Apr 07 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.9.0-3
+- Fix the license


Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/proxytunnel.spec
SRPM URL:
http://repo.lystor.org.ua/fedora/12/SRPMS/proxytunnel-1.9.0-3.fc12.src.rpm

Comment 6 Martin Gieseking 2010-04-08 18:47:53 UTC
Hi Nikolay,

here is the formal review of proxytunnel. The package is pretty clean, I just suggest the following minor cosmetic improvements:

- in Source0, use macro %{name} instead of "proxytunnel":
  http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz

- to ensure that only section 1 man pages are added to man1, replace 
  %{_mandir}/man1/proxytunnel* with
  %{_mandir}/man1/proxytunnel.1*


$ rpmlint /var/lib/mock/fedora-12-x86_64/result/*.rpm
proxytunnel.src: W: spelling-error %description -l en_US stdin -> stein, stain, stdio
proxytunnel.src: W: spelling-error %description -l en_US stdout -> stout, std out, std-out
proxytunnel.x86_64: W: spelling-error %description -l en_US stdin -> stein, stain, stdio
proxytunnel.x86_64: W: spelling-error %description -l en_US stdout -> stout, std out, std-out
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

These spelling warnings can be ignored.

---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum proxytunnel-1.9.0.tgz*
    d74472b89c3f3b3b0abf6bd809ae34c2  proxytunnel-1.9.0.tgz
    d74472b89c3f3b3b0abf6bd809ae34c2  proxytunnel-1.9.0.tgz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    koji scratch builds:
    F-12: http://koji.fedoraproject.org/koji/taskinfo?taskID=2103282
    F-13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2103246

[.] MUST: If the package does not successfully compile, build or work on an architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly. 
[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: .so (without suffix) must go in a -devel package.
[.] MUST: devel packages must require the base package using a fully versioned dependency
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. 
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: your package should contain man pages for binaries/scripts.

Comment 7 Mykola Ulianytskyi 2010-04-17 14:22:45 UTC
Hi Martin

Spec diff:
...
-Release:        3%{?dist}
+Release:        4%{?dist}
...
-Source0:        http://downloads.sourceforge.net/proxytunnel/proxytunnel-%{version}.tgz
+Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
...
-%{_mandir}/man1/proxytunnel*
+%{_mandir}/man1/proxytunnel.1*
...
 %changelog
+* Fri Apr 09 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.9.0-4
+- Fix Source0
+- Fix man dir


Spec URL: http://repo.lystor.org.ua/fedora/12/SPECS/proxytunnel.spec
SRPM URL:
http://repo.lystor.org.ua/fedora/12/SRPMS/proxytunnel-1.9.0-4.fc12.src.rpm

Comment 8 Martin Gieseking 2010-04-17 14:55:19 UTC
Hi Nikolay,

now everything looks fine and we can finish here.

----------------
Package APPROVED
----------------

Comment 9 Mykola Ulianytskyi 2010-04-17 16:15:29 UTC
New Package CVS Request
=======================
Package Name: proxytunnel
Short Description: Tool to tunnel a connection through an standard HTTP(S) proxy
Owners: lystor
Branches: F-11 F-12 F-13
InitialCC:

Comment 10 Kevin Fenzi 2010-04-18 01:42:27 UTC
CVS done (by process-cvs-requests.py).

Comment 11 Fedora Update System 2010-04-29 16:32:25 UTC
proxytunnel-1.9.0-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/proxytunnel-1.9.0-4.fc13

Comment 12 Fedora Update System 2010-04-29 16:33:19 UTC
proxytunnel-1.9.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/proxytunnel-1.9.0-4.fc11

Comment 13 Fedora Update System 2010-04-29 16:34:09 UTC
proxytunnel-1.9.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/proxytunnel-1.9.0-4.fc12

Comment 14 Fedora Update System 2010-04-30 23:40:53 UTC
proxytunnel-1.9.0-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update proxytunnel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/proxytunnel-1.9.0-4.fc13

Comment 15 Fedora Update System 2010-05-03 16:04:20 UTC
proxytunnel-1.9.0-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update proxytunnel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/proxytunnel-1.9.0-4.fc12

Comment 16 Fedora Update System 2010-05-03 16:14:33 UTC
proxytunnel-1.9.0-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update proxytunnel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/proxytunnel-1.9.0-4.fc11

Comment 17 Fedora Update System 2010-08-24 21:10:44 UTC
proxytunnel-1.9.0-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-08-24 21:15:15 UTC
proxytunnel-1.9.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.